X2Go Bug report logs - #163
[packaging-Debian] x2goserver should depend on X11 font utilities

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Dániel Kondor <kondor.dani@gmail.com>

Date: Mon, 8 Apr 2013 15:48:01 UTC

Severity: normal

Tags: pending

Found in version 4.0.0.1-0~x2go1+wheezy~main~648~build1

Fixed in versions 4.0.0.2, 4.1.0.0

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#163; Package x2goserver. (Mon, 08 Apr 2013 15:48:01 GMT) (full text, mbox, link).


Acknowledgement sent to Dániel Kondor <kondor.dani@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 08 Apr 2013 15:48:01 GMT) (full text, mbox, link).


Message #5 received at maintonly@bugs.x2go.org (full text, mbox, reply):

From: Dániel Kondor <kondor.dani@gmail.com>
To: maintonly@bugs.x2go.org
Subject: [packaging-Debian] x2goserver should depend on X11 font utilities
Date: Mon, 8 Apr 2013 17:39:38 +0200
[Message part 1 (text/plain, inline)]
Package: x2goserver
Version: 4.0.0.1-0~x2go1+wheezy~main~648~build1

Hi,

we recently installed the X2Go server to a headless server machine, which
does not have a normal X server installed. After installing the x2goserver
package and required dependencies we could not log in to the machine, the
relevant error in the logfile ('/tmp/.x2go-*/*.log) was:

Error: Aborting session with 'Could not open default font 'fixed''.

After manually installing the following (X server font handling related)
Debian packages, the problem was fixed: fontconfig, libxfont1,
xfonts-base, xfonts-encodings, xfonts-utils.

I suppose these packages should be a dependency of x2goserver?

The server has Debian Wheezy installed, the x2go server package was
obtained from the X2Go Debian repository:
'http://packages.x2go.org/debian/wheezy/main amd64 Packages'.

Regards:

Dániel Kondor
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#163; Package x2goserver. (Mon, 08 Apr 2013 20:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 08 Apr 2013 20:48:02 GMT) (full text, mbox, link).


Message #10 received at 163@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Dániel Kondor <kondor.dani@gmail.com>, 163@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#163: [packaging-Debian] x2goserver should depend on X11 font utilities
Date: Mon, 08 Apr 2013 22:41:50 +0200
[Message part 1 (text/plain, inline)]
tag #163 pending
thanks

Hi Dániel,

On Mo 08 Apr 2013 17:39:38 CEST Dániel Kondor wrote:

> Package: x2goserver
> Version: 4.0.0.1-0~x2go1+wheezy~main~648~build1
>
> Hi,
>
> we recently installed the X2Go server to a headless server machine, which
> does not have a normal X server installed. After installing the x2goserver
> package and required dependencies we could not log in to the machine, the
> relevant error in the logfile ('/tmp/.x2go-*/*.log) was:
>
> Error: Aborting session with 'Could not open default font 'fixed''.
>
> After manually installing the following (X server font handling related)
> Debian packages, the problem was fixed: fontconfig, libxfont1,
> xfonts-base, xfonts-encodings, xfonts-utils.
>
> I suppose these packages should be a dependency of x2goserver?
>
> The server has Debian Wheezy installed, the x2go server package was
> obtained from the X2Go Debian repository:
> 'http://packages.x2go.org/debian/wheezy/main amd64 Packages'.

Thanks for reporting. Committed to x2goserver.git, will be fixed in  
the next X2Go Server release.

master branch:
http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=d82c2044f94705ba3884168b2b6f35066d5f0f8e

release branch:
http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=fb53bd9d0133a821a410e716d186a6b5c728fd29


Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 08 Apr 2013 20:48:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.0.2. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 09 Apr 2013 11:18:01 GMT) (full text, mbox, link).


Marked as fixed in versions 4.1.0.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 09 Apr 2013 11:18:01 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#163; Package x2goserver. (Sat, 18 May 2013 23:01:18 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 18 May 2013 23:01:18 GMT) (full text, mbox, link).


Message #21 received at 163@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 163-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 163@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Sun, 19 May 2013 00:55:40 +0200 (CEST)
close #163
thanks

Hello,

we are very hopeful that X2Go issue #163 reported by you
has been resolved in the new release (4.0.0.2) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.0.2)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=d035421386eb85627f23628e69e0c0b07ebb7c8c;hp=6a78a843e29b9169ed7e64735908f308eacd4951

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.0.2
Status: RELEASE
Date: Sun, 19 May 2013 00:54:34 +0200
Fixes: 103 149 163 200
Changes: 
 x2goserver (4.0.0.2) RELEASED; urgency=low
 .
   [ Matthew L. Dailey ]
   * New upstream version (4.0.0.2):
     - Do parse profile/xprofile files in X2Go's Xsession file. (Fixes: #149).
 .
   [ Jan Engelhardt ]
   * New upstream version (4.0.0.2):
     - Use x2gopath in Perl scripts to set the lib path. (Fixes: #103).
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.0.2):
     - Use make_path from File::Path in x2godbadmin to create user directory if
       not present. (Fixes: #200).
     - Security fix for setgid wrapper x2gosqlitewrapper.c. Hard-code path to
       x2gosqlitewrapper.pl during build via defining a macro in the Makefile.
       Thanks to Richard Weinberger for spotting this!!!
   /debian/control:
     + Let x2goserver bin:package depend on xfonts-base and fontconfig. (Fixes:
       #163).
     + Create session log symlink after launching x2goagent. Fix order of target
       and symlink name when executing the command.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 18 May 2013 23:01:19 GMT) (full text, mbox, link).


Notification sent to Dániel Kondor <kondor.dani@gmail.com>:
Bug acknowledged by developer. (Sat, 18 May 2013 23:01:19 GMT) (full text, mbox, link).


Message sent on to Dániel Kondor <kondor.dani@gmail.com>:
Bug#163. (Sat, 18 May 2013 23:01:22 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sun, 16 Jun 2013 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Dec 5 21:40:04 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.